public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-whiskermenu-plugin/
Date: Sat, 18 Jan 2020 17:18:48 +0000 (UTC)	[thread overview]
Message-ID: <1579367904.e631ca271a0e61e212f789720adfc9ae4e8ec713.mgorny@gentoo> (raw)

commit:     e631ca271a0e61e212f789720adfc9ae4e8ec713
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 18 16:07:12 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 18 17:18:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e631ca27

xfce-extra/xfce4-whiskermenu-plugin: Bump to 2.3.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-whiskermenu-plugin/Manifest       |  1 +
 .../xfce4-whiskermenu-plugin-2.3.5.ebuild          | 57 ++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/xfce-extra/xfce4-whiskermenu-plugin/Manifest b/xfce-extra/xfce4-whiskermenu-plugin/Manifest
index 289806370d6..67a849465d2 100644
--- a/xfce-extra/xfce4-whiskermenu-plugin/Manifest
+++ b/xfce-extra/xfce4-whiskermenu-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-whiskermenu-plugin-2.3.4.tar.bz2 160614 BLAKE2B 276842ef860965d139166ea6d8e988d39694aa06ace52bc3f48d6e3d9c9d8c930c3b9e44c3d9f84aaf7bb6fd9412a5efdda39834d8c2d33ed3f048db68893266 SHA512 8e59b6d0067e2302e3bf3e7f528cf96d613586c78c2ce6040143b449bffb3e3037b0d08738450c701d57f11cc5393154221bfbe5fa43825ca5df7ddd3c9f4cf4
+DIST xfce4-whiskermenu-plugin-2.3.5.tar.bz2 160984 BLAKE2B c4a53ca34ed0eec2de27837c01d52ace334af5cf952b46b7f9f651314eb7f4aad52f5706ca8df7ddcfb4a9c0ed2fe207a138c3cb432306caa38220a6c13aa2fd SHA512 7697a5d41599df8150d4e7ad1c5898b651d196fb1bd1a657efee33206312455f24056edf679592e0a6a78b17b324fd5d93e202ae7cc461ca70df7cd41794bd58

diff --git a/xfce-extra/xfce4-whiskermenu-plugin/xfce4-whiskermenu-plugin-2.3.5.ebuild b/xfce-extra/xfce4-whiskermenu-plugin/xfce4-whiskermenu-plugin-2.3.5.ebuild
new file mode 100644
index 00000000000..9587f377d46
--- /dev/null
+++ b/xfce-extra/xfce4-whiskermenu-plugin/xfce4-whiskermenu-plugin-2.3.5.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake xdg-utils
+
+DESCRIPTION="Alternate application launcher for Xfce"
+HOMEPAGE="https://gottcode.org/xfce4-whiskermenu-plugin/"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RDEPEND="
+	virtual/libintl
+	x11-libs/gtk+:3
+	xfce-base/exo:=
+	xfce-base/garcon:=
+	xfce-base/libxfce4ui:=
+	xfce-base/libxfce4util:=
+	xfce-base/xfce4-panel:=
+"
+DEPEND="
+	${RDEPEND}
+"
+BDEPEND="
+	sys-devel/gettext
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	# fix build failure w/ xfce4-panel-4.15.0
+	sed -i -e 's@<libxfce4panel/xfce-panel-plugin\.h>@<libxfce4panel/libxfce4panel.h>@' \
+		panel-plugin/register-plugin.c || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DENABLE_AS_NEEDED=OFF
+		-DENABLE_LINKER_OPTIMIZED_HASH_TABLES=OFF
+		-DENABLE_DEVELOPER_MODE=OFF
+	)
+
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+}


             reply	other threads:[~2020-01-18 17:18 UTC|newest]

Thread overview: 130+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-18 17:18 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-09  3:38 [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-whiskermenu-plugin/ Michał Górny
2024-02-09  1:04 Sam James
2024-02-09  1:04 Sam James
2024-01-16 16:44 Michał Górny
2023-12-21 10:47 Michał Górny
2023-12-21  7:27 Arthur Zamarin
2023-12-21  6:52 Sam James
2023-12-02  9:54 Michał Górny
2023-12-02  9:50 Michał Górny
2023-12-02  9:45 Arthur Zamarin
2023-11-26 18:07 Michał Górny
2023-11-10  4:01 Michał Górny
2023-10-06 14:31 Sam James
2023-08-29 16:20 Michał Górny
2023-08-02 11:28 Michał Górny
2023-08-02 11:23 Michał Górny
2023-05-29 19:06 Michał Górny
2023-05-29 17:49 Arthur Zamarin
2023-05-29 14:45 Arthur Zamarin
2023-04-26 11:49 Michał Górny
2023-03-17 15:03 Michał Górny
2023-03-17 14:11 Sam James
2023-03-17 14:11 Sam James
2023-01-17 18:32 Michał Górny
2022-06-19 13:36 Yixun Lan
2021-12-20 13:18 Michał Górny
2021-12-20 12:10 Agostino Sarubbo
2021-12-19 22:06 Agostino Sarubbo
2021-12-11 23:24 Michał Górny
2021-11-20 18:08 Michał Górny
2021-11-13 20:28 Michał Górny
2021-11-05 19:18 Michał Górny
2021-11-05 17:33 Sam James
2021-11-05 10:04 Agostino Sarubbo
2021-10-14  7:51 Michał Górny
2021-09-19 20:41 Michał Górny
2021-02-19  1:11 Michał Górny
2021-02-08  6:05 Sam James
2021-01-24 19:50 Michał Górny
2021-01-22  9:55 Michał Górny
2021-01-22  1:49 Sam James
2021-01-19  2:55 Sam James
2021-01-18 20:29 Michał Górny
2021-01-15 22:01 Michał Górny
2021-01-02 16:40 Michał Górny
2020-12-24 23:08 Michał Górny
2020-09-18  9:45 Michał Górny
2020-09-18  8:26 Agostino Sarubbo
2020-07-23 17:07 Michał Górny
2020-07-21 10:51 Michał Górny
2020-07-19 14:19 Michał Górny
2020-06-29 18:24 Mikle Kolyada
2020-06-26 21:16 Mart Raudsepp
2020-06-20 15:23 Thomas Deutschmann
2020-05-04  9:40 Michał Górny
2020-04-23  5:41 Michał Górny
2020-04-19 18:24 Agostino Sarubbo
2020-04-18  9:18 Agostino Sarubbo
2020-04-02  7:32 Michał Górny
2020-03-19 17:20 Michał Górny
2020-03-14 19:46 Agostino Sarubbo
2020-03-12  6:14 Michał Górny
2020-02-16  7:03 Michał Górny
2020-02-16  7:03 Michał Górny
2020-02-12 20:36 Michał Górny
2020-02-11  8:26 Michał Górny
2020-02-11  8:26 Michał Górny
2020-02-11  7:39 Michał Górny
2020-01-03  8:38 Michał Górny
2020-01-01 17:30 Andreas Sturmlechner
2019-12-31 14:02 Agostino Sarubbo
2019-12-31  7:43 Agostino Sarubbo
2019-11-05 12:51 Michał Górny
2019-10-20 16:43 Michał Górny
2019-10-20 16:43 Michał Górny
2019-10-20 10:24 Michał Górny
2019-10-10 18:35 Mikle Kolyada
2019-10-10 18:31 Mikle Kolyada
2019-08-15  6:02 Michał Górny
2019-04-08 19:17 Michał Górny
2019-04-07 14:43 Mikle Kolyada
2019-04-07 14:41 Mikle Kolyada
2019-04-07  8:29 Michał Górny
2019-03-29 12:16 Michał Górny
2019-01-20 10:42 Michał Górny
2019-01-20 10:42 Michał Górny
2018-11-15 17:04 Thomas Deutschmann
2018-11-12 14:10 Mikle Kolyada
2018-11-11 19:07 Michał Górny
2018-10-01 18:43 Michał Górny
2018-10-01 18:43 Michał Górny
2018-07-13 20:03 Michał Górny
2018-07-10 12:29 Michał Górny
2018-05-21 14:34 Denis Dupeyron
2018-04-22 18:09 Michał Górny
2018-04-14  1:49 Aaron Bauman
2018-04-08 17:28 Aaron Bauman
2018-03-25 17:27 Michał Górny
2018-02-11 11:36 Michał Górny
2018-01-06  5:05 Thomas Deutschmann
2018-01-05 11:33 Mikle Kolyada
2017-12-29  8:16 Michał Górny
2017-12-29  8:16 Michał Górny
2017-11-30 14:47 Patrice Clement
2017-11-30 14:47 Patrice Clement
2017-08-06 21:58 Patrice Clement
2017-08-06 21:58 Patrice Clement
2017-05-07 20:46 Michał Górny
2017-05-07 20:46 Michał Górny
2017-02-05  5:42 Michael Palimaka
2017-02-05  5:42 Michael Palimaka
2017-01-13 15:41 Agostino Sarubbo
2016-12-20 12:31 Tobias Klausmann
2016-12-11 21:35 Michał Górny
2016-12-11 21:35 Michał Górny
2016-11-04 21:44 Patrice Clement
2016-10-22 21:51 Patrice Clement
2016-10-22 21:51 Patrice Clement
2016-08-30 18:31 Patrice Clement
2016-08-30 18:31 Patrice Clement
2016-08-30 18:31 Patrice Clement
2016-06-05  8:20 Patrice Clement
2016-06-05  8:20 Patrice Clement
2016-06-03 14:12 Patrice Clement
2016-06-03 14:12 Patrice Clement
2016-05-22 19:35 Pacho Ramos
2016-03-12  4:40 Jason Zaman
2015-10-08 21:57 Julian Ospald
2015-08-14 23:10 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1579367904.e631ca271a0e61e212f789720adfc9ae4e8ec713.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox